# Uses of Class
javafx.scene.SceneAntialiasing

Packages that use SceneAntialiasing
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of SceneAntialiasing in javafx.scene

Fields in javafx.scene declared as SceneAntialiasing
Modifier and Type
Field
Description
`static final SceneAntialiasing`
SceneAntialiasing.`BALANCED`
Enables anti-aliasing optimizing for a balance of quality and performance
`static final SceneAntialiasing`
SceneAntialiasing.`DISABLED`
Disables anti-aliasing
Methods in javafx.scene that return SceneAntialiasing
Modifier and Type
Method
Description
`final SceneAntialiasing`
Scene.`getAntiAliasing()`
Return the defined `SceneAntialiasing` for this `Scene`.
`final SceneAntialiasing`
SubScene.`getAntiAliasing()`
Return the defined `SceneAntialiasing` for this `SubScene`.
Constructors in javafx.scene with parameters of type SceneAntialiasing
Modifier
Constructor
Description
``
`Scene(Parent root, double width, double height, boolean depthBuffer, SceneAntialiasing antiAliasing)`
Constructs a scene consisting of a root, with a dimension of width and height, specifies whether a depth buffer is created for this scene and specifies whether scene anti-aliasing is requested.
``
`SubScene(Parent root, double width, double height, boolean depthBuffer, SceneAntialiasing antiAliasing)`
Constructs a `SubScene` consisting of a root, with a dimension of width and height, specifies whether a depth buffer is created for this scene and specifies whether scene anti-aliasing is requested.